For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
                • GETList Metafields
                • POSTCreate Metafield
                • GETGet Metafield
                • PUTUpdate Metafield
                • DELDelete Metafield
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocationsMetafields

List Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations/:location_id/metafields
GET
/stores/:store_hash/v3/inventory/locations/:location_id/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/1/metafields \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "id": 42,
5 "key": "operating_hours",
6 "value": "Mon-Fri 9am-5pm",
7 "namespace": "store_info",
8 "permission_set": "read_and_sf_access",
9 "description": "Regular business hours for the downtown location",
10 "resource_type": "location",
11 "resource_id": 1,
12 "date_created": "2023-11-01T08:30:00+00:00",
13 "date_modified": "2024-05-15T12:45:00+00:00",
14 "owner_client_id": "bcappclient1234567890abcdef"
15 }
16 ],
17 "meta": {
18 "pagination": {
19 "total": 1,
20 "count": 1,
21 "per_page": 100,
22 "current_page": 1,
23 "total_pages": 1,
24 "links": {
25 "current": "?limit=100&page=1"
26 }
27 }
28 }
29}
Retrieve metafields for a location.
Was this page helpful?
Previous

Delete Locations

Next

Create Metafield

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

location_idintegerRequired
Unique identifier for a location.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

The request has been successfully processed.
datalist of objects
metaobject